<%@ page contentType="text/html;charset=UTF-8" %>
<script>
	$(document).ready(function() {
		var procInsId = $('#procInsId').val();

		$('#testPicTable').bootstrapTable({

			//请求方法
			method: 'post',
			//类型json
			dataType: "json",
			contentType: "application/x-www-form-urlencoded",
			//显示检索按钮
			showSearch: false,
			//显示刷新按钮
			showRefresh: false,
			//显示切换手机试图按钮
			showToggle: false,
			//显示 内容列下拉框
			showColumns: false,
			//显示到处按钮
			showExport: false,
			//显示切换分页按钮
			showPaginationSwitch: false,
			//最低显示2行
			minimumCountColumns: 2,
			//是否显示行间隔色
			striped: true,
			//是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
			cache: false,
			//是否显示分页（*）
			pagination: false,
			//排序方式
			sortOrder: "asc",
			//初始化加载第一页，默认第一页
			pageNumber:1,
			//每页的记录行数（*）
			pageSize: 10,
			//可供选择的每页的行数（*）
			pageList: [10, 25, 50, 100],
			//这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
			url: "${ctx}/managementcenter/upload/data?procInsId="+procInsId,
			//默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
			//queryParamsType:'',
			////查询参数,每次调用是会带上这个参数，可自定义
			queryParams : function(params) {
				var searchParam = $("#searchForm").serializeJSON();
				searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
				searchParam.pageSize = params.limit === undefined? -1 : params.limit;
				searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
				return searchParam;
			},
			//分页方式：client客户端分页，server服务端分页（*）
			sidePagination: "server",
			contextMenuTrigger:"right",//pc端 按右键弹出菜单
			contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
			contextMenu: '#context-menu',
			onContextMenuItem: function(row, $el){
				if($el.data("item") == "edit"){
					edit(row.id);
				}else if($el.data("item") == "view"){
					view(row.id);
				} else if($el.data("item") == "delete"){
					jp.confirm('确认要删除该图片管理记录吗？', function(){
						jp.loading();
						jp.get("${ctx}/managementcenter/upload/delete?id="+row.id, function(data){
							if(data.success){
								$('#testPicTable').bootstrapTable('refresh');
								jp.success(data.msg);
							}else{
								jp.error(data.msg);
							}
						})

					});

				}
			},
			onClickRow: function(row, $el){
			},
			onShowSearch: function () {
				$("#search-collapse").slideToggle();
			},
			columns: [
				 {
					field: 'path',
					title: '附件',
					formatter:function(value, row , index){
						var valueArray = value.split("|");
						var labelArray = [];
						for(var i =0 ; i<valueArray.length; i++){
							if(!/\.(gif|jpg|jpeg|png|GIF|JPG|PNG)$/.test(valueArray[i]))
							{
								labelArray[i] = "<a href=\""+valueArray[i]+"\" url=\""+valueArray[i]+"\" target=\"_blank\">"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>"
							}else{
								labelArray[i] = '<img   onclick="jp.showPic(\''+valueArray[i]+'\')"'+' height="50px" src="'+valueArray[i]+'">';
							}
						}
						return labelArray.join(" ");
					}

				},{
					field: 'requireName',
					title: '项目需求名称',
				},{
					field: 'projectId',
					title: '流程定义号',
				},
				{
					field: 'imgName',
					title: '文件用途',
				},
				{
					field: 'uid',
					title: '上传人员',
				}
			]
		});

		$('#settTable').bootstrapTable({
			//请求方法
			method: 'post',
			//类型json
			dataType: "json",
			contentType: "application/x-www-form-urlencoded",
			//显示检索按钮
			showSearch: false,
			//显示刷新按钮
			showRefresh: false,
			//显示切换手机试图按钮
			showToggle: false,
			//显示 内容列下拉框
			showColumns: false,
			//显示到处按钮
			showExport: false,
			//显示切换分页按钮
			showPaginationSwitch: false,
			//最低显示2行
			minimumCountColumns: 2,
			//是否显示行间隔色
			striped: true,
			//是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
			cache: false,
			//是否显示分页（*）
			pagination: false,
			//排序方式
			sortOrder: "asc",
			//初始化加载第一页，默认第一页
			pageNumber: 1,
			//每页的记录行数（*）
			pageSize: 10,
			//可供选择的每页的行数（*）
			pageList: [10, 25, 50, 100],
			//这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
			url: "${ctx}/settActivi/useQuantityData?procInsId="+procInsId,
			//默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
			////查询参数,每次调用是会带上这个参数，可自定义
			queryParams: function (params) {
				var searchParam = $("#searchForm").serializeJSON();
				searchParam.pageNo = params.limit === undefined ? "1" : params.offset / params.limit + 1;
				searchParam.pageSize = params.limit === undefined ? -1 : params.limit;
				searchParam.orderBy = params.sort === undefined ? "" : params.sort + " " + params.order;
				return searchParam;
			},
			//分页方式：client客户端分页，server服务端分页（*）
			sidePagination: "server",
			contextMenuTrigger: "right",//pc端 按右键弹出菜单
			contextMenuTriggerMobile: "press",//手机端 弹出菜单，click：单击， press：长按。
			contextMenu: '#context-menu',
			onClickRow: function (row, $el) {
			},
			onShowSearch: function () {
				$("#search-collapse").slideToggle();
			},
			formatNoMatches: function () {
				return "你的自定义文字说明";
			},
			columns: [{
					field: 'materialEncoding',
					title: '物料编码',
				}, {
					field: 'materialName',
					title: '物料名称',
				}, {
					field: 'company',
					title: '单位',
				},{
					field: 'unitPrice',
					title: '出库单价（元）',
				}, {
				field: 'totalPrice',
				title: '出库总价（元）',
				},
				{
					field: 'outgoingQuantity',
					title: '出库数量'
				},{
					field: 'usedQuantity',
					title: '现场使用数量',
				}, {
					field: 'reviewQuantity',
					title: '审计现场复核数量',
				}, {
					field: 'settMark',
					title: '施工单位备注',
				}, {
					field: 'overUnder',
					title: '甲供材超欠供',
				}
			]
		});


		jp.ajaxForm("#inputForm",function(data){
			if(data.success){
				jp.alert(data.msg);
				jp.go("${ctx}"+ data.body.targetUrl);
			}else{
				jp.alert(data.msg);
				$("#inputForm").find("button:submit").button("reset");
			}
		});

		function getTime(value, row, index) {
			return [
				"<input  id="+row.id+" type='number' name='usedQuantity' class='form-control required deal'  value="+row.usedQuantity+">",
			].join('');
		}

		$("#agree").click(function () {
			jp.prompt("同意, 审批意见", function (message) {
				jp.post("${ctx}/act/task/returnDocTask",
				{
					"taskId":"${settActivi.act.taskId}",
					"taskName":"${settActivi.act.taskName}",
					"taskDefKey":"${settActivi.act.taskDefKey}",
					"procInsId": procInsId,
					"procDefId":"${settActivi.act.procDefId}",
					"flag":"yes",
					"comment":window.encodeURI(message)
				},
				function (data) {
					if(data.success){
						jp.success(data.msg);
						jp.go("${ctx}/act/task/todo")
					}
				})
			})
		})


		$("#printf").click(function () {
			var procInsId = $("#procInsId").val();
			// jp.downloadFile('${ctx}/settActivi/exportSett?procInsId='+procInsId);
			 jp.downloadFile('${ctx}/settActivi/exportExcel?procInsId='+procInsId);
		});

		$('#acceptDate').datetimepicker({
			format: "YYYY-MM-DD HH:mm:ss"
		});

		$('#examineDate').datetimepicker({
			format: "YYYY-MM-DD HH:mm:ss"
		});
		//富文本初始化
		$('#reason').summernote({
			height: 300,
			lang: 'zh-CN',
			callbacks: {
				onChange: function(contents, $editable) {
					$("input[name='reason']").val($('#reason').summernote('code'));//取富文本的值
				}
			}
		});
	})

</script>
